Contact Free trial Login

Amazon SNS - Upgrade and Migrate - Mule 4

Supported Upgrade Paths

From Version To Version

4.3.1

4.4.0

Changes in This Release

  • Added the ability to configure TLS.

  • Upgraded aws-java-sdk from 1.11.611 to 1.11.649.

  • Upgraded aws-connector-commons from 2.0.0 to 2.2.0.

Requirements

Ensure your system meets the following requirements before you perform the upgrade:

Application/Service Version

Mule

4.1.1 and later

Amazon Java SDK for RDS

v1.11.649

Java

1.8.0_x

Anypoint Studio

7.0 and later

See the Amazon SNS Connector Release Notes for updated compatibility information for patch updates.

Upgrade Prerequisites

Before you perform the upgrade, create a backup of your files, data, and configuration in case you need to restore to the previous version.